FANDOM


All previous versions of the mod can be found here. Also, you'll find which version of EU4 is compatible with which mod version, as well as whether that version is available for download.

To download a specified version of the mod, click on the link. The link should bring you to the Paradox forum where it's available.


Extended Timeline Mod Compatibility Edit

Version of EU4 Compatiable Version Mod Version

Download Avalible

Patch 1.22 1.5.2 Yes
Patch 1.22 5 No
Patch 1.22 1.5.1 No
Patch 1.22 1.5.0 No
Patch 1.21 1.4.4 Yes
Patch 1.21 1.4.3 No
Patch 1.20 1.4.2 No
Patch 1.20 1.4.1 Yes
Patch 1.20 1.4.0 No
Patch 1.19 1.3.2 Yes
Patch 1.19 1.3.1 Yes
Patch 1.18 1.2.2 Yes 
Patch 1.18 1.2.1 Yes
Patch 1.18 1.2.0 Yes
Patch 1.17 1.1.1 Yes
Patch 1.17 1.1.0 Yes
Patch 1.16 1.0.2 Yes
Patch 1.16 1.0.1 Yes
Patch 1.16 Yes
Patch 1.15 0.15.2 Yes
Patch 1.15 0.15.1 Yes
Patch 1.15 0.15.0 Yes
Patch 1.14 0.14.3 Yes
Patch 1.14 0.14.2 Yes
Patch 1.14 0.14.1 Yes
Patch 1.13 0.13.6 Yes
Patch 1.12 0.13.3 No
Patch 1.12 0.13.2 No
Patch 1.12 0.13.1 No
Patch 1.12 0.13.0 No
Patch 1.11 0.12.3 Yes
Patch 1.11 0.12.2 No
Patch 1.11 0.12.1 No
Patch 1.10 0.12.0 Yes
Patch 1.9 0.11.6 Yes
Patch 1.9 0.11.5 No
Patch 1.9 0.11.3 No
Patch 1.8 0.11.1 No
Patch 1.8 0.11.0 No
Patch 1.7 0.10.0 Yes
Patch 1.7 0.9.2 Yes
Patch 1.7 0.9.1 No
Patch 1.7 0.9 No
Patch 1.6 0.8.2 Yes
Patch 1.6 0.8.1 No
Patch 1.6 0.8 No
Patch 1.5 0.7 No
Patch 1.5 0.6 No
Patch 1.5 0.5.1 No
Patch 1.5 0.5 No
Patch 1.4 0.4 No
Patch 1.4 0.3 No
Patch 1.3 0.2 No

Edit

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.